> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Returnable Items

> Provides fulfillment information for order items such as quantity ordered, fulfilled, and returned. Indicates which items are eligible for return.



## OpenAPI

````yaml /openapi/openapi_commerce.json get /commerce/orders/{orderId}/returnableitems
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/orders/{orderId}/returnableitems:
    get:
      tags:
        - Order
      summary: Get Order Returnable Items
      description: >-
        Provides fulfillment information for order items such as quantity
        ordered, fulfilled, and returned. Indicates which items are eligible for
        return.
      parameters:
        - description: ''
          in: path
          name: orderId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderReturnableItemCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/OrderReturnableItemCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/OrderReturnableItemCollection'
          description: OK
components:
  schemas:
    OrderReturnableItemCollection:
      description: Collection of fulfillment information for items on an order.
      properties:
        items:
          items:
            $ref: '#/components/schemas/OrderReturnableItem'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    OrderReturnableItem:
      properties:
        appliedReturnRuleInfo:
          $ref: '#/components/schemas/AppliedReturnRuleInfo'
        fulfillmentFields:
          description: List of unique product identifiers for an item on shipment
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentStatus:
          nullable: true
          type: string
        mfgPartNumber:
          nullable: true
          type: string
        orderItemId:
          nullable: true
          type: string
        orderItemOptionAttributeFQN:
          nullable: true
          type: string
        orderLineId:
          format: int32
          type: integer
        parentProductCode:
          nullable: true
          type: string
        parentProductName:
          nullable: true
          type: string
        productCode:
          description: The product code of the associated item.
          nullable: true
          type: string
        productName:
          description: The name of the associated product.
          nullable: true
          type: string
        quantityFulfilled:
          description: The number of units fulfilled.
          format: int32
          type: integer
        quantityOrdered:
          description: The number of units ordered.
          format: int32
          type: integer
        quantityRejected:
          format: int32
          type: integer
        quantityReturnable:
          format: int32
          readOnly: true
          type: integer
        quantityReturned:
          description: >-
            The number if times this item configuration was found in live
            returns (not cancelled or rejected).
          format: int32
          type: integer
        shipmentItemId:
          description: Shipment Item Id Number associated with product
          format: int32
          nullable: true
          type: integer
        shipmentNumber:
          description: Shipment Number associated with product
          format: int32
          nullable: true
          type: integer
        sku:
          nullable: true
          type: string
        unitQuantity:
          format: int32
          type: integer
      type: object
    AppliedReturnRuleInfo:
      properties:
        isItemReturnable:
          description: >-
            Indicates if item is eligible for return after applying the return
            rule
          nullable: true
          type: boolean
        maxReturnQtyExceeded:
          description: >-
            Indicates if item is not eligible for return because it surpassed
            max return quantity
          nullable: true
          type: boolean
        returnRuleInfo:
          $ref: '#/components/schemas/ReturnRuleInfo'
        returnWindowClosed:
          description: >-
            Indicates if item is not eligible for return because if passed the
            return window
          nullable: true
          type: boolean
      type: object
    CommerceRuntimeFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          nullable: false
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    ReturnRuleInfo:
      properties:
        isReturnable:
          description: Indicate product is returnable or not
          nullable: true
          type: boolean
        maxDays:
          description: Return window within which an item can be returned
          format: int32
          nullable: true
          type: integer
        maxQty:
          description: Maximum quantity that can be returned
          format: int32
          nullable: true
          type: integer
        ruleCode:
          description: Return rule code which is applied
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````